package com.zhongshu.card.client.type.device;

import lombok.Getter;

/**
 * 收费模式
 */
public enum ChargingUnitType {
    Frequency("次", ChargingType.Frequency),
    Day("天", ChargingType.Time),
    Hour("小时", ChargingType.Time),
    Minute("分钟", ChargingType.Time),
    Second("秒", ChargingType.Time),

    CubicMeter("立方米", ChargingType.Capacity),
    L("升", ChargingType.Capacity),
    Ml("毫升", ChargingType.Capacity),
    Ton("吨", ChargingType.Weight),
    Kg("千克", ChargingType.Weight),
    G("克", ChargingType.Weight),
    ;

    @Getter
    private String remark;

    @Getter
    private ChargingType chargingType;

    ChargingUnitType(String remark, ChargingType chargingType) {
        this.remark = remark;
        this.chargingType = chargingType;
    }
}
